Kodi Community Forum

Full Version: script.common.plugin.cache for py3
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
I am converting my addon to py3 and have run into issues as my addon depends on common plugin cache
There are a few py3 incompatible statements in this addon such as encode('utf-8') and decode('utf-8') which I removed for testing as py3 is all unicode
however running into problems when using the addon with str/byte handling in the addon.
Any idea who maintains the common plugin cache as it needs to be updated for py3 compatibility

Thanks
IMO this module was made a long time ago, when general python cache/database modules weren't as mature as they are now. Today you should just use those generic ones instead of this.
(2019-03-31, 11:18)V8MEM Wrote: [ -> ]IMO this module was made a long time ago, when general python cache/database modules weren't as mature as they are now. Today you should just use those generic ones instead of this.

Which generic ones you refer too ?